---
title: New site, fantastically perl-y, because why not
date: 2015-03-10 01:39
tags: life, perl, personal, programming, website
---

Oops, and then I didn't have a blog for a few months. I pulled down my old blog (formerly located at blog.maff.me.uk), partially the .scot TLD launched and I wanted to move to maff.scot as soon as possible, and partially because I wanted a blog system I was happier working with (The old blog was dotClear-based, and hosted at [Gandi][1] because it was a free addon and I was lazy. I'd looked around for a while to see what blogging systems I could try out, but I didn't want to go near Wordpress and none of the other systems really appealed to me. Some friends suggested I try Jekyll, but I couldn't really grok that; I also found Dapper online, but as far as static-site platforms go it wasn't the best for a blog. So I wrote my own.

To rewind a bit, I've been steadily improving my Perl skills for a good while now, so when it came to hunting for blogging software I was biased towards perl-based systems. It turns out there are quite a few! Unfortunately most were either too complex to work with, or didn't have features I needed. What most of them _did_ offer, was a simple publishing system based around YAML and Markdown. This actually seems pretty great, because [Markdown][2] is well-documented and easy to write posts in, without me having to faff about much with formatting. It also allows me to keep post metadata at the top of each post, in my editor.

So having seen what other systems were like, and knowing what I did and didn't like about each, I wrote my own, (slightly patriotically) named [BlogAlba][3]. It's a single ~150-line perl script, designed to run as an application (though it could easily be changed to just output static HTML files and such). It's been quite a fun learning project, and should (at this point) be quite easy to maintain and extend.

The _styling_ of my site has also changed; this time based around [Bootstrap][4] and a theme [found on bootply][5] via [BootstrapZero][6], written by user [cskelly][7]. I've cut it down somewhat and modified it to fit my own preferences, but credit where it's due of course :)

Hopefully now that it's a lot easier for me to write up posts, and everything's being published on software I'm intimately familiar with, my site'll see the love it deserves. If you've got any comments or questions, look to my twitter because I'm not gonna deal with the noise of an actual comments system.

[1]: http://gandi.net/
[2]: https://daringfireball.net/projects/markdown/syntax
[3]: https://github.com/Maffsie/BlogAlba/
[4]: http://getbootstrap.com/
[5]: http://www.bootply.com/69873
[6]: http://bootstrapzero.com/bootstrap-template/flathood
[7]: http://www.bootply.com/users/cskelly
